<script>
    var g_thisBrand = {
        id: <?= $this->thisBrand->id; ?>,
        name: '<?= addslashes($this->thisBrand->name); ?>',
        category: '<?= addslashes($this->categoryUrl); ?>',
        url: '<?= addslashes($this->thisBrand->url); ?>',
        loveCount: <?= $this->thisBrand->loveCount; ?>,
        lovedByUser: <?= $this->brandLovedByUser ? 'true' : 'false' ?>
    };
</script>

<?php


    $brandName = null;
    if($this->BrandName) {
        $brandName = $this->BrandName;
        $brandUrl = $this->BrandUrl;
        $brandDescription = $this->BrandDescription;
    }
    $thisBrand = $this->thisBrand;
    
    $thisTeamMeta = $this->teamMetas;
    
    $teamMetaTitle = (isset($this->teamMetas['TEAM_META_TITLE']['content']) && $this->teamMetas['TEAM_META_TITLE']['content'] != "") ? $this->teamMetas['TEAM_META_TITLE']['content'] : '';
    $teamMetaTitlePublic = (isset($this->teamMetas['TEAM_META_TITLE']['public']) && $this->teamMetas['TEAM_META_TITLE']['public'] == 1) ? $this->teamMetas['TEAM_META_TITLE']['public'] : 1;
    $teamMetaDescription = (isset($this->teamMetas['TEAM_META_DESCRIPTION']['content']) && $this->teamMetas['TEAM_META_DESCRIPTION']['content'] != "") ? $this->teamMetas['TEAM_META_DESCRIPTION']['content'] : '';
    $teamMetaDescriptionPublic = (isset($this->teamMetas['TEAM_META_DESCRIPTION']['public']) && $this->teamMetas['TEAM_META_DESCRIPTION']['public'] == 1) ? $this->teamMetas['TEAM_META_DESCRIPTION']['public'] : 1;
    
/*    echo "<pre>"; print_r($teamMetaDescriptionPublic); die;*/
?>

<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('add-iteam-mage', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>

<div class="col-md-12 col-sm-12">

    <div class="socialcontainer aboutus-container">
        <div class="two-3columns-new">
            <div class="about">
                <div class="about-nav">
                    <ul>
                        <li                 data-activation-target="true"><a data-target-segment="about"            href="#"><span>About Us</span></a></li>
                        <li class="active"  data-activation-target="true"><a data-target-segment="about-management" href="#"><span>Management Team</span></a></li>
                    </ul>
                </div>
            </div>
            <div class="topServices full">
                <?php /* ?>
                <span class="pen">
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                        <ul class="dropdown-menu servicesPopup">
                            <div class="servicesPop">
                                <ul>
                                    <li style="display:<?php echo ($teamMetaTitlePublic != 1) ? "none" : ''; ?>">
                                        <a class="hide_title_field" onclick="makePublicOrNot(this, 'title');" data-flag="0" href="javascript: void(0);">
                                            <img src="/images/eye.png"><span>Hide title field</span>
                                        </a>
                                    </li>
                                    <li style="display:<?php echo ($teamMetaTitlePublic != 0) ? "none" : ''; ?>">
                                        <a class="show_title_field" onclick="makePublicOrNot(this, 'title');" data-flag="1" href="javascript: void(0);">
                                            <img src="/images/eye.png"><span>Show title field</span>
                                        </a>
                                    </li>
                                    
                                    <li style="display:<?php echo ($teamMetaDescriptionPublic != 1) ? "none" : ''; ?>">
                                        <a class="hide_description_field" onclick="makePublicOrNot(this, 'description');" data-flag="0" href="javascript: void(0);">
                                            <img src="/images/eye.png"><span>Hide description field</span>
                                        </a>
                                    </li>
                                    <li style="display:<?php echo ($teamMetaDescriptionPublic != 0) ? "none" : ''; ?>">
                                        <a class="show_description_field" onclick="makePublicOrNot(this, 'description');" data-flag="1" href="javascript: void(0);">
                                            <img src="/images/eye.png"><span>Show description field</span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </ul>
                    </li>
                </span>
                <div class="clear"></div><?php */ ?>
                
                <div class="service_title_container" style="display: <?php echo ($teamMetaTitlePublic) ? '' : 'none'; ?>;">
                    <?php if($this->userCanEditBrand){ ?>
                        <!--<div class="service_title_section" style="display: <?php //echo !empty($teamMetaTitle) ? "none" : ''; ?>;">
                            <input type="text" class="form-control service-head-title" id="serviceTitle" placeholder="Management Team Title" value="<?php //echo $teamMetaTitle; ?>" onblur="javascript: changeTitleOrDescription(this, 'title');">
                            <a href="javascript:void(0);" data-flag="0" onclick="javascript: makePublicOrNot(this, 'title');" class="hide_block title-hide"><i class="fa fa-times" aria-hidden="true"></i></a>
                            
                        </div>-->
                        <div class="service_title_noedit" style="display: <?php echo (!empty($teamMetaTitle)) ? '' : 'none'; ?>">
                            <h3 id="title"><?php echo $teamMetaTitle; ?></h3>
                            <a href="javascript:void(0);" onclick="makeEditField('title');"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                        </div>
                        
                        <div class="teamTitleBox" id="team_title_box" style="display: <?php echo (empty($teamMetaTitle)) ? '' : 'none'; ?>">
                            <div class="teamTitleHead">Team Title</div>
                            <div class="teamTitleText" style="display: <?php echo empty($teamMetaTitle) ? "" : 'none'; ?>;">
                                <a href="javascript:void(0);" onclick="javascript:showTeamMeta('Title');">+ Enter your team name</a>
                            </div>
                            <div class="teamTitleEditBox" style="display: <?php echo empty($teamMetaTitle) ? "none" : ''; ?>;">
                                <input type="text" class="form-control service-head-title" id="serviceTitle" placeholder="Management Team Title" value="<?php echo $teamMetaTitle; ?>">
                                <div class="teamTitleAction">
                                    <a href="javascript:void(0);" onclick="javascript: changeTitleOrDescription($('#serviceTitle'), 'title');">Save</a>
                                    <a href="javascript:void(0);" onclick="javascript: hideTeamMeta('Title');">Cancel</a>
                                </div>
                            </div>
                        </div>
                        
                    <?php }else{ ?>
                        <h3 id="title"><?php echo $teamMetaTitle; ?></h3>
                    <?php } ?>
                </div>
                
                
                <div class="service_description_container" style="display: <?php echo ($teamMetaDescriptionPublic) ? '' : 'none'; ?>;">
                    <?php if($this->userCanEditBrand){ ?>
                        <!--<div class="service_description_section" style="display: <?php //echo !empty($teamMetaDescription) ? "none" : ''; ?>;">
                            <textarea class="service-head-description" placeholder="Management Team Description" onblur="javascript: changeTitleOrDescription(this, 'description');"><?php //echo $teamMetaDescription; ?></textarea>
                            <a href="javascript:void(0);" data-flag="0" onclick="javascript: makePublicOrNot(this, 'description');" class="hide_block description-hide"><i class="fa fa-times" aria-hidden="true"></i></a>
                        </div>-->
                        <div class="service_description_noedit" style="display: <?php echo empty($teamMetaDescription) ? "none" : ''; ?>;">
                            <h5 id="description"><?php echo $teamMetaDescription; ?></h5>
                            <a href="javascript:void(0);" onclick="makeEditField('description');"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                        </div>
                        
                        <div class="teamDescriptionBox" id="team_description_box" style="display: <?php echo !empty($teamMetaDescription) ? "none" : ''; ?>;">
                            <div class="teamDescriptionHead">Team Descriptions</div>
                            <div class="teamDescriptionText" style="display: <?php echo empty($teamMetaDescription) ? "" : 'none'; ?>;">
                                <a href="javascript:void(0);" onclick="javascript:showTeamMeta('Description');">+ Enter your team description</a>
                            </div>
                            <div class="teamDescriptionEditBox" style="display: <?php echo empty($teamMetaDescription) ? "none" : ''; ?>;">
                                <textarea class="service-head-description" placeholder="Management Team Description"><?php echo $teamMetaDescription; ?></textarea>
                                <div class="teamDescriptionAction">
                                    <a href="javascript:void(0);" onclick="javascript: changeTitleOrDescription($('.service-head-description'), 'description');">Save</a>
                                    <a href="javascript:void(0);" onclick="javascript: hideTeamMeta('Description');">Cancel</a>
                                </div>
                            </div>
                        </div>
                        
                    <?php }else{ ?>
                            <h5 id="description"><?php echo $teamMetaDescription; ?></h5>
                    <?php } ?>
                </div>
                
                
            </div>
            
            <?php if($this->userCanEditBrand){ ?>
            <div class="upload-member" style="display:none;" id="upload-member">
                
                <div id="noImageBox" class="upload-member-cover addTeamMemberPhoto noImageBox" onclick="uploadImage('team-member');">
                    <a href="javascript:void(0);"></a>
                </div>
                <div style="display:none;" data-type="team-member" class="upload-image-list-team-member editable small-image-section"></div>
                
                <input type="text" placeholder="Member Name" class="team_member_name">
                <input type="text" placeholder="Position" class="team_member_position">
                <textarea placeholder="Biography" class="team_member_description"></textarea>
                <div class="clear"></div>
                <div class="post-uploaded-product">
                    <button onclick="javascript: addTeamMemberData();" class="postblueBtnCategory">Post</button>
                    <button id="hide-upload" class="hideBtnCategory">Cancel</button>
                    <div class="clear"></div>
                </div>
                
            </div>
            
            <div class="upload-member" style="display:none;" id="editTeamMember">
                
            </div>
            <?php } ?>
            
            <!-- end of social content -->
            
            <div class="clear"></div>

            <div class="team" id="team">
                 <?php if($this->userCanEditBrand){ ?>
                <div class="team-box add-member" id="add-member">
                    <a href="javascript:void(0);"></a>
                </div>
                <?php } ?>
                
                <?php $j = 0; if(!empty($this->teamMembers)){ ?>
                    <?php foreach($this->teamMembers as $teamMember){ ?>
                        <?php $img = "background: #87CBFF;";  
                            if(!empty($teamMember->imageData)){ ?>
                            <?php 
                                $imageData = json_decode($teamMember->imageData);
                                if(!empty($imageData))
                                {
                                    $img = 'background: url('.$imageData[0]->url.') no-repeat scroll 50% 50% / cover;';
                                }
                            }
                        ?>
                        <div id="tm_list_<?php echo $teamMember->id; ?>" class="team-box" style="<?php echo $img; ?>">
                            
                            <?php if($this->userCanEditBrand){ ?>
                                <!--<a href="javascript:void(0);" class="moveBox"><img src="/images/move-white.png" class="move"></a>-->
                                
                                <li class="olovka dropdown bela-olovka">
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                    </a>
                                    <ul class="dropdown-menu aboutPopup">
                                        <div class="aboutPop">
                                            <ul>
                                                <li>
                                                    <a href="javascript:void(0);" onclick="javascript: displayTeamMember(<?php echo $teamMember->id; ?>);">
                                                        <img src="/images/eye.png"><span>View</span>
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="<?php echo $this->url("show-team-member", ["tmId" => $teamMember->id]); ?>" onclick="javascript: editTeamMember(this, <?php echo $teamMember->id; ?>); return false;">
                                                        <img src="/images/pen.png"><span>Edit</span>
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="<?php echo $this->url("delete-team-member", ["tmId" => $teamMember->id]); ?>" onclick="javascript: deleteTeamMember(this, <?php echo $teamMember->id; ?>); return false;">
                                                        <img src="/images/trash.png"><span>Delete</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </ul>
                                </li>
                            <?php } ?>
                            
                            <div class="team-container" onclick="javascript: displayTeamMember(<?php echo $teamMember->id; ?>);">
                                <h3><?php echo $teamMember->name; ?></h3>
                                <div class="sep-blue"></div>
                                <h5><?php echo $teamMember->position; ?></h5>
                            </div>
                        </div>
                        
                    <?php $j++; } ?>
                <?php } ?>
                <div class="clear"></div>
            </div>

            <div class="team-member" id="closeMember" style="display:none;"></div>
            <a id="showMember"></a>

        </div>
        

       <?php
            echo $this->partial('brand-info-partial', [
                'brand' => $this->brand,
                'user' => $this->user,
                'isBrandAdmin' => $this->user,
                'bannerUrl' => $this->bannerUrl,
            ]);
        ?>
    </div>
</div>

<script type="text/javascript">
var UploadedImagesListSelTM = '.upload-image-list-team-member';
    
window.onGloabalJS.push(function() {
    window.uploadImageSetStorageTM = window.persistentVariableTM("uploadImageSetTM", new window.ImageSet([], UploadedImagesListSelTM));
    if(window.uploadImageSetStorageTM.get().type !== 'ImageSet') {
        window.uploadImageSetStorageTM.set(new window.ImageSet([], UploadedImagesListSelTM));
    }
    console.log("uploadImageSetTM = ", window.uploadImageSetStorageTM, window.uploadImageSetStorageTM.get());
});

function removeImageClicked(el, type) {
    var $container = $(el).closest('.img-container');
    var $img = $('img', $container);
    var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
    function(response) {
        if(response) {
            removeImage($img.attr('src'), type);
        }
    }, "Delete", "Cancel");
}

function removeImage(img, type) {
    switch(type)
    {
        case 'team-member' : 
                var imageSet = window.uploadImageSetStorageTM.get();
                imageSet.removeImages([img]);
                window.uploadImageSetStorageTM.set(imageSet);
                
                $('.upload-image-list-team-member').hide();
                $('.noImageBox').show();
                
            break;            
    }
}

function uploadImageToEditorTM(img) {
    console.log(img);
    console.log('Upload TM image TM');
    var imageSetTM = uploadImageSetStorageTM.get();
    imageSetTM.addImages([img]);
    window.uploadImageSetStorageTM.set(imageSetTM);
}

function uploadImage(type) {
    var handelClass = '.upload-image-list-'+type;
    window.imageSubmittedCallback = uploadImageToEditorTM;
    
    $("#editorImageSubmitter").click();
}


function displayTeamMember(id)
{
    window.loadingIndicator($('body')); 
    $('.upload-member').hide();
    ajaxSubmit('/$teamMemberDetail/' + id, {'tmId' : id}, function(data) {
        console.log(data);
        $('#closeMember').html(data);
        $('#showMember').trigger('click');
        $('html,body').animate({
                scrollTop: $('#closeMember').offset().top},
            'slow');
        $('.loading-indicator-background').remove();
    });
}

function closeViewForm()
{
    $("#closeMember").hide();
    $("#team").show()
}

function editTeamMember(obj, id)
{
    window.loadingIndicator($('body')); 
    $('.upload-member').hide();
    $('#closeMember').hide();
    $('#team').show();
    
    ajaxSubmit($(obj).attr('href'), {'type' : 'edit'}, function(data) {
/*            $('body').append(data);*/
            
            $('#editTeamMember').html(data);
            var img = $('#editTeamMember #hdnTMPhoto').val();
            if(img != "")
            {
                removeImage(img, 'team-member');
                uploadImageToEditorTM(img);
                $('#editTeamMember .noImageBox').hide();
            }

            
/*            $('#editTeamMember').modal('show');*/
            $('#editTeamMember').show();
            $('html,body').animate({
                scrollTop: $('#editTeamMember').offset().top},
            'slow');
            $('.loading-indicator-background').remove();
    });
}

function deleteTeamMember(obj, id)
{   
    labConfirm("Do you really want to delete this team member?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $(obj).blur();
                $('#closeMember').hide();
                $('#team').show();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($(obj).attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    labAlert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#tm_list_'+id).hide('slow', function(){ $(this).remove();  });
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
}

 function makeEditField(type)
{
    jQuery('.service_'+type+'_noedit').hide();
    jQuery('#team_'+type+'_box').show();
}


function changeTitleOrDescription(obj, type)
{
    var content = $(obj).val().trim();
    
    if(content == "" && content.length < 1)
    {
        labAlert("Please fill in the "+type+" before submitting.");
        return;
    }
    window.loadingIndicator($('body'));
    ajaxSubmit('<?= $this->url('manage-team-meta', ['brandUrl' => $this->thisBrand->url]) ?>', {
        'content': content,
        'type': type,
        }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured. " + error);
            }else{
                console.log(type+" submitted", data);
                var team_meta = data.team_meta;
                
                if(type == 'title')
                {
                    /*$('.showTeamMgmtDescription').html(content);
                    $('.showTeamMgmtDescription').show();
                    $('.editTeamMgmtDescription').addClass('hide');*/
                    jQuery('.service_title_noedit h3').html(team_meta.teamValue);
                    jQuery('.service_title_section .service-head-title').val(team_meta.teamValue);
                }
                else if(type == 'description')
                {
                    /*$('.showTeamMgmtTitle').html(content);
                    $('.showTeamMgmtTitle').show();
                    $('.editTeamMgmtTitle').addClass('hide');*/
                    jQuery('.service_description_noedit h5').html(team_meta.teamValue);
                    jQuery('.service_description_section .service-head-description').val(team_meta.teamValue);
                }
                
                jQuery('.service_'+type+'_noedit').show();
/*                jQuery('.service_'+type+'_section').hide();*/
                jQuery('#team_'+type+'_box').hide();
               $('.loading-indicator-background').remove();
            }
    });
}

function makePublicOrNot(obj, type)
{
    var plublicType = 'public_'+type;
    var flag = $(obj).data('flag');
    
    var ele = $('.service_'+type+'_container');
    window.loadingIndicator($('body'));
    ajaxSubmit('<?= $this->url('manage-team-meta', ['brandUrl' => $this->thisBrand->url]) ?>', {
        'content': flag,
        'type': plublicType,
        }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured. " + error);
            }else{
                if(flag == 0)
                {
                    $(ele).slideUp('slow');
                    switch(type)
                    {
                        case 'title' : 
                                $('.hide_title_field').parent('li').hide();
                                $('.show_title_field').parent('li').show();
                            break;
                        case 'description' : 
                                $('.hide_description_field').parent('li').hide();
                                $('.show_description_field').parent('li').show();
                            break;
                    }
                }
                else
                {
                    $(ele).slideDown('slow');
                    switch(type)
                    {
                        case 'title' : 
                                $('.show_title_field').parent('li').hide();
                                $('.hide_title_field').parent('li').show();
                            break;
                        case 'description' : 
                                $('.show_description_field').parent('li').hide();
                                $('.hide_description_field').parent('li').show();
                            break;
                    }
                }
            }
            $('.loading-indicator-background').remove();
    });
}

function showTeamMeta(type)
{
    $('.team'+type+'Text').hide();
    $('.team'+type+'EditBox').show();
}

function hideTeamMeta(type)
{
    if(type == 'Title')
    {
        if($('.team'+type+'EditBox input').val() != "")
        {
/*            $('.team'+type+'EditBox').hide();*/
            $('#team_title_box').hide();
            $('.service_title_noedit').show();
        }
        else
        {
            $('.team'+type+'EditBox').hide();
            $('.team'+type+'Text').show();
        }
    }
    else
    {
        if($('.team'+type+'EditBox textarea').val() != "")
        {
/*            $('.team'+type+'EditBox').hide();*/
            $('#team_description_box').hide();
            $('.service_description_noedit').show();
        }
        else
        {
            $('.team'+type+'EditBox').hide();
            $('.team'+type+'Text').show();
        }
    }
    
}
function hideEditBox()
{
    $('.upload-image-list-team-member img').each(function(){
        var src = $(this).attr('src');
        if(src.trim() != "")
        {
            removeImage(src, 'team-member');
        }
    });
    $('#editTeamMember').hide();
}


window.onload = function() {
        console.log("FIRE ONLOAD");
       
       $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
                }
            }
        });
        
        $(document).on('click', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
                }
            }
        });
      
       if($('#upload-member .upload-image-list-team-member div.img-row').length > 0)
        {
            $('#upload-member .upload-image-list-team-member').show();
            $('#upload-member .noImageBox').hide();
        }
    }

</script>
